Show / Hide Table of Contents

# Struct FdtReader.FontTableEntry

Glyph table entry.

##### Implements

System.IComparable<FdtReader.FontTableEntry>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public struct FontTableEntry : IComparable<FdtReader.FontTableEntry>

### Fields

| Improve this Doc View Source

#### BoundingHeight

Bounding height of this glyph.

##### Declaration

    public byte BoundingHeight

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BoundingWidth

Bounding width of this glyph.

##### Declaration

    public byte BoundingWidth

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CharSjis

Integer representation of a Shift_JIS character in reverse order, read in little endian.

##### Declaration

    public ushort CharSjis

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### CharUtf8

Integer representation of a Unicode character in UTF-8 in reverse order, read in little endian.

##### Declaration

    public int CharUtf8

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CurrentOffsetY

Distance adjustment for drawing current character.

##### Declaration

    public sbyte CurrentOffsetY

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### NextOffsetX

Distance adjustment for drawing next character.

##### Declaration

    public sbyte NextOffsetX

##### Field Value

Type | Description
--- | ---
System.SByte |

| Improve this Doc View Source

#### TextureChannelOrder

Mapping of texture channel index to byte index.

##### Declaration

    public static readonly int[] TextureChannelOrder

##### Field Value

Type | Description
--- | ---
System.Int32[] |

| Improve this Doc View Source

#### TextureIndex

Index of backing texture.

##### Declaration

    public ushort TextureIndex

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### TextureOffsetX

Horizontal offset of glyph image in the backing texture.

##### Declaration

    public ushort TextureOffsetX

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### TextureOffsetY

Vertical offset of glyph image in the backing texture.

##### Declaration

    public ushort TextureOffsetY

##### Field Value

Type | Description
--- | ---
System.UInt16 |

### Properties

| Improve this Doc View Source

#### AdvanceWidth

Gets the advance width of this character.

##### Declaration

    public readonly int AdvanceWidth { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Char

Gets the Unicode codepoint of the character for this entry in char type.

##### Declaration

    public readonly char Char { get; }

##### Property Value

Type | Description
--- | ---
System.Char |

| Improve this Doc View Source

#### CharInt

Gets the Unicode codepoint of the character for this entry in int type.

##### Declaration

    public readonly int CharInt { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TextureChannelByteIndex

Gets the byte index in a multichannel pixel corresponding to the channel.

##### Declaration

    public readonly int TextureChannelByteIndex { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TextureChannelIndex

Gets the channel index in the backing texture file.

##### Declaration

    public readonly int TextureChannelIndex { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TextureFileIndex

Gets the index of the file among all the backing texture files.

##### Declaration

    public readonly int TextureFileIndex { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### CompareTo(FdtReader.FontTableEntry)

##### Declaration

    public int CompareTo(FdtReader.FontTableEntry other)

##### Parameters

Type | Name | Description
--- | --- | ---
FdtReader.FontTableEntry | other |

##### Returns

Type | Description
--- | ---
System.Int32 |

### Implements

System.IComparable<T>